cascading.flow.planner.iso.expression

## Class ExpressionGraph

- java.lang.Object
- - cascading.flow.planner.iso.expression.ExpressionGraph

Direct Known Subclasses:
  AccumulatedSourceExpressionGraph, BottomUpConsecutiveBoundariesExpressionGraph, BottomUpConsecutiveBoundariesTriangleExpressionGraph, BottomUpNoSplitConsecutiveBoundariesExpressionGraph, BoundarySelJoinCoGroupExpressionGraph, ConsecutiveGroupOrMergeExpressionGraph, ConsecutiveNoOpPipesExpressionGraph, ConsecutiveTapsExpressionGraph, DualStreamedAccumulatedExpressionGraph, GroupMergeToTapBoundaryExpressionGraph, GroupTapExpressionGraph, LogicalMergeExpressionGraph, MalformedJoinExpressionGraph, MultiTapGroupExpressionGraph, NoCoGroupJoinTapExpressionGraph, NoGroupJoinMergeBoundaryTapExpressionGraph, NoGroupJoinTapExpressionGraph, NoGroupMergeBoundaryTapExpressionGraph, NoGroupMergeTapExpressionGraph, NoGroupTapExpressionGraph, NoGroupTapExpressionGraph, NoMergeTapExpressionGraph, NonBlockedBlockedJoinExpressionGraph, NonBlockedBlockedJoinJoinExpressionGraph, NonSafeAndSplitAndSyncPipeExpressionGraph, NoOpPipeExpressionGraph, NoSpliceTapExpressionGraph, OnlyPipeExpressionGraph, PlannerLevelPipeExpressionGraph, SplicePipeExpressionGraph, StreamedAccumulatedBoundariesExpressionGraph, StreamedAccumulatedTapsExpressionGraph, StreamedAccumulatedTapsHashJoinExpressionGraph, StreamedOnlySourcesExpressionGraph, StreamedOnlySourcesExpressionGraph, StreamedSelfJoinSourcesExpressionGraph, StreamedSelfJoinSourcesExpressionGraph, SyncPipeExpressionGraph, TapGroupTapExpressionGraph, TopDownConsecutiveBoundariesExpressionGraph, TopDownSplitBoundariesExpressionGraph, TopDownSplitJoinBoundariesExpressionGraph

    public class ExpressionGraph
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`ExpressionGraph()`
`ExpressionGraph(boolean allowNonRecursiveMatching)`
`ExpressionGraph(ElementExpression... matchers)`
`ExpressionGraph(SearchOrder searchOrder)`
`ExpressionGraph(SearchOrder searchOrder, boolean allowNonRecursiveMatching)`
`ExpressionGraph(SearchOrder searchOrder, ElementExpression... matchers)`

### Method Summary

Methods
`ExpressionGraph` `arc(ElementExpression lhsMatcher, ScopeExpression scopeMatcher, ElementExpression rhsMatcher)`
`ExpressionGraph` `arcs(ElementExpression... matchers)`
`org.jgrapht.graph.DirectedMultigraph<ElementExpression,ScopeExpression>` `getGraph()`
`SearchOrder` `getSearchOrder()`
`ExpressionGraph` `setAllowNonRecursiveMatching(boolean allowNonRecursiveMatching)`
`boolean` `supportsNonRecursiveMatch()`
`static ScopeExpression` `unwind(ScopeExpression scopeExpression)`
`void` `writeDOT(java.lang.String filename)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ExpressionGraph

    public ExpressionGraph()

#### ExpressionGraph

    public ExpressionGraph(boolean allowNonRecursiveMatching)

#### ExpressionGraph

    public ExpressionGraph(ElementExpression... matchers)

#### ExpressionGraph

    public ExpressionGraph(SearchOrder searchOrder,
                   ElementExpression... matchers)

#### ExpressionGraph

    public ExpressionGraph(SearchOrder searchOrder)

#### ExpressionGraph

    public ExpressionGraph(SearchOrder searchOrder,
                   boolean allowNonRecursiveMatching)

### Method Detail

#### getGraph

    public org.jgrapht.graph.DirectedMultigraph<ElementExpression,ScopeExpression> getGraph()

#### getSearchOrder

    public SearchOrder getSearchOrder()

#### supportsNonRecursiveMatch

    public boolean supportsNonRecursiveMatch()

#### setAllowNonRecursiveMatching

    public ExpressionGraph setAllowNonRecursiveMatching(boolean allowNonRecursiveMatching)

#### arcs

    public ExpressionGraph arcs(ElementExpression... matchers)

#### arc

    public ExpressionGraph arc(ElementExpression lhsMatcher,
                      ScopeExpression scopeMatcher,
                      ElementExpression rhsMatcher)

#### writeDOT

    public void writeDOT(java.lang.String filename)

#### unwind

    public static ScopeExpression unwind(ScopeExpression scopeExpression)